Check-in [4e8d261d38]
Overview
Comment:Updated to call "/usr/bin/env" to locate "bash" in case it is not in "/bin"
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:4e8d261d38eaae0078fd1f91087bb22ce469036f
User & Date: rkeene on 2012-02-01 07:56:32
Other Links: manifest | tags
Context
2012-02-14
15:57
Updated autoconf helper scripts check-in: a3c60c5f6b user: rkeene tags: trunk
2012-02-01
07:56
Updated to call "/usr/bin/env" to locate "bash" in case it is not in "/bin" check-in: 4e8d261d38 user: rkeene tags: trunk
2011-11-19
22:51
Reverted to [f2f5daaf90] check-in: 1de4d8358a user: rkeene tags: trunk
Changes

Modified build/fake-bin/uname from [239d77eb58] to [505164194d].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ "$1" == "--fake" ]; then
     4      4   	echo "true"
     5      5   
     6      6   	exit 0
     7      7   fi
     8      8   

Modified build/make-kit-crosscompile from [8fa5b4578c] to [612bd8947c].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ -z "${CROSS}" ]; then
     4      4   	echo 'Error: Environment variable CROSS is empty/unset.  Aborting.' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   

Modified build/pre.sh from [aada9fa406] to [556988d635].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   ./kitcreator distclean >/dev/null 2>/dev/null
     4      4   
     5      5   KITSHROOTDIR="$(ls -1d kitsh/buildsrc/kitsh-*/)"
     6      6   export KITSHROOTDIR
     7      7   (
     8      8   	cd "${KITSHROOTDIR}" || exit 1

Modified common/post/sdk.sh from [8d67b5681a] to [f6db47fdb8].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ -z "${TCLVERS}" ]; then
     4      4   	echo 'This script is not meant to be run directly.' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   

Modified itcl/build.sh from [cd7865de36] to [aadeaa622b].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ ! -f 'build.sh' ]; then
     4      4   	echo 'ERROR: This script must be run from the directory it is in' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   if [ -z "${TCLVERS}" ]; then

Modified kitcreator from [e5a4f5c30e] to [91d947f7af].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   TCLVERS="8.4.19"
     4      4   if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then
     5      5   	TCLVERS="$1"
     6      6   
     7      7   	shift
     8      8   fi

Modified kitsh/build.sh from [030405272d] to [43b7f533ac].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ ! -f 'build.sh' ]; then
     4      4   	echo 'ERROR: This script must be run from the directory it is in' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   if [ -z "${TCLVERS}" ]; then

Modified mk4tcl/build.sh from [ecd7e08462] to [d61f1ae923].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ ! -f 'build.sh' ]; then
     4      4   	echo 'ERROR: This script must be run from the directory it is in' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   if [ -z "${TCLVERS}" ]; then

Modified tcl/build.sh from [b1c6fc2088] to [08c07cb4da].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ ! -f 'build.sh' ]; then
     4      4   	echo 'ERROR: This script must be run from the directory it is in' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   if [ -z "${TCLVERS}" ]; then

Modified tcl/patchscripts/fixfixstrtod.sh from [cdb22906ce] to [4449fd2e8d].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   echo '#undef strtod' > 'compat/strtod.c.new'
     4      4   cat 'compat/strtod.c' >> 'compat/strtod.c.new'
     5      5   cat 'compat/strtod.c.new' > 'compat/strtod.c'
     6      6   rm -f 'compat/strtod.c.new'

Modified tcl/patchscripts/macosx-fixheaders.sh from [a2a67ecc4a] to [fe59c37766].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   cp unix/*.h unix/install-sh macosx/
     4      4   
     5      5   exit 0

Modified tcl/patchscripts/minbuild-nopkgs.sh from [d1143d6e77] to [360ef63d87].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ -n "${KITCREATOR_MINBUILD}" ]; then
     4      4   	rm -rf 'pkgs'
     5      5   fi

Modified tcl/patchscripts/visibility-unhidden.sh from [05e06e331d] to [42e62525bc].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ "${KITTARGET}" != "kitdll" ]; then
     4      4   	exit 0
     5      5   fi
     6      6   
     7      7   for file in unix/configure; do
     8      8   	sed 's@-fvisibility@-__disabled__fvisibility@' "${file}" > "${file}.new"
     9      9   	cat "${file}.new" > "${file}"
    10     10   	rm -f "${file}.new"
    11     11   done

Modified tcl/patchscripts/win32-dllmain.sh from [610ea73aa0] to [1f8fbf8b3b].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ "${KITTARGET}" != "kitdll" ]; then
     4      4   	exit 0
     5      5   fi
     6      6   
     7      7   ## DllMain is needed when building KitDLL
     8      8   for filetopatch in win/tclWin32Dll.c win/tclWinInit.c; do
     9      9   	echo "Undefining STATIC_BUILD in \"${filetopatch}\""
    10     10   
    11     11   	sed 's@STATIC_BUILD@NEVER_STATIC_BUILD@g' "${filetopatch}" > "${filetopatch}.new" && cat "${filetopatch}.new" > "${filetopatch}"
    12     12   	rm -f "${filetopatch}.new"
    13     13   done

Modified tclvfs/build.sh from [b73ccac3f3] to [5371b35f64].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ ! -f 'build.sh' ]; then
     4      4   	echo 'ERROR: This script must be run from the directory it is in' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   if [ -z "${TCLVERS}" ]; then

Modified thread/build.sh from [e0a67825aa] to [a7634f1812].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ ! -f 'build.sh' ]; then
     4      4   	echo 'ERROR: This script must be run from the directory it is in' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   if [ -z "${TCLVERS}" ]; then

Modified tk/build.sh from [8dbe3ef0bd] to [8f91e493d3].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ ! -f 'build.sh' ]; then
     4      4   	echo 'ERROR: This script must be run from the directory it is in' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   if [ -z "${TCLVERS}" ]; then

Modified tk/patchscripts/macosx-fixheaders.sh from [a2a67ecc4a] to [fe59c37766].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   cp unix/*.h unix/install-sh macosx/
     4      4   
     5      5   exit 0

Modified tk/patchscripts/visibility-unhidden.sh from [05e06e331d] to [42e62525bc].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ "${KITTARGET}" != "kitdll" ]; then
     4      4   	exit 0
     5      5   fi
     6      6   
     7      7   for file in unix/configure; do
     8      8   	sed 's@-fvisibility@-__disabled__fvisibility@' "${file}" > "${file}.new"
     9      9   	cat "${file}.new" > "${file}"
    10     10   	rm -f "${file}.new"
    11     11   done

Modified zlib/build.sh from [e467f5472b] to [5c73bcd9f1].

     1         -#! /bin/bash
            1  +#! /usr/bin/env bash
     2      2   
     3      3   if [ ! -f 'build.sh' ]; then
     4      4   	echo 'ERROR: This script must be run from the directory it is in' >&2
     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   if [ -z "${TCLVERS}" ]; then